Bug 1418325 - [ocp-on-osp] openshift-heat-templates hard code OSP8 RPMs for os-collect-config
Summary: [ocp-on-osp] openshift-heat-templates hard code OSP8 RPMs for os-collect-config
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Reference Architecture
Version: 3.4.0
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: scollier
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 14:46 UTC by Mark Lamourine
Modified: 2020-07-16 09:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-18 12:05:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mark Lamourine 2017-02-01 14:46:24 UTC
Description of problem:

The openshift heat templates install the os-collect-config tools so that it can introspect and communicate with OSP during deployment and operation of OpenShift on Openstack.

The current templates hard-code the RPM name for OSP8.  They need to allow the deploying user to specify the version of OSP so that the heat templates can enable the correct repositories and install the matching RPMs for the actual environment.


Version-Release number of selected component (if applicable): 
 openshift-heat-templates 0.9.5


How reproducible:

run openshift-heat-templates on OpenStack 10


Steps to Reproduce:
1.
2.
3.

Actual results:


os-create-config is installed from rhel-7-server-openstack-8-rpms

Expected results:

os-create-config is installed from rhel-7-server-openstack-10-rpms

Additional info:


PR to fix: https://github.com/redhat-openstack/openshift-on-openstack/pull/313


Note You need to log in before you can comment on or make changes to this bug.